{ config, ... }: {

  sops.secrets.roombot = {
    sopsFile = ../../../secrets/ps2live/saerro.yaml;
  };

  virtualisation.oci-containers.containers = {
    roombot_ps2c = {
      image = "ghcr.io/planetside-community/discord-room-bot/bot:latest";
      environment = {
        WATCH_CHANNEL_PS2 = "251073753759481856:1117262244988858508";
      };
      environmentFiles = [
        config.sops.secrets.roombot.path
      ];
    };
  };
}
